Bug 506419 - When I close laptop screen and open it again, the screens stays off
When I close laptop screen and open it again, the screens stays off
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
card_945GM
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 04:48 EDT by Pierre Blavy
Modified: 2018-04-11 09:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 11:39:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (35.11 KB, text/plain)
2009-06-30 04:14 EDT, Pierre Blavy
no flags Details
Xorg.0.log (29.26 KB, text/plain)
2009-06-30 04:17 EDT, Pierre Blavy
no flags Details
Xorg.1.log (28.88 KB, text/plain)
2009-06-30 04:17 EDT, Pierre Blavy
no flags Details

  None (edit)
Description Pierre Blavy 2009-06-17 04:48:23 EDT
Description of problem:
When I close down the screen of my laptop and open it again, the screen stays black and never switch on again.

Pressing Alt CTRL Backspace to reset X server switch on the screen again (but of course kills current work :) ).




Version-Release number of selected component (if applicable):
I don't know haw to get the xorg version. My last yum update is 16-june-2009.




How reproducible: 
Every time I close the screen on fedora.



Steps to Reproduce:
1. Start Fedora 11
2. Close your laptop screen
3. Open your laptop screen
  
Actual results:
None




Expected results:
When I open the screen again, I expect fedora to turn it on again.
Or : when I close the screen, I expect fedora to do nothing (My laptop swith of the screen anyway without any software trick).




Additional info:
Laptop : Dell latitude D520

VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)

Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

Kernel:  Linux ****** 2.6.29.4-167.fc11.x86_64 #1 SMP Wed May 27 17:27:08 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Pierre Blavy 2009-06-24 08:32:23 EDT
Workaround : you can turn on the screen again by pressing:
ALT + CTRL + F5
and then
ALT + CTRL + F1
Comment 2 Matěj Cepl 2009-06-27 18:24:01 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Pierre Blavy 2009-06-30 04:14:55 EDT
Created attachment 349914 [details]
dmesg
Comment 4 Pierre Blavy 2009-06-30 04:17:05 EDT
Created attachment 349915 [details]
Xorg.0.log
Comment 5 Pierre Blavy 2009-06-30 04:17:42 EDT
Created attachment 349916 [details]
Xorg.1.log
Comment 6 Pierre Blavy 2009-06-30 04:19:05 EDT
Thank for your bug review, 
I've attached the requested files.

I do not have a /etc/X11/xorg.conf
Comment 7 Matěj Cepl 2009-11-05 13:32:20 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Arenas Belon, Carlo Marcelo 2009-11-17 02:44:16 EST
probably a duplicate of BUG528022
Comment 9 Matěj Cepl 2009-11-17 07:59:17 EST
Reporter, do you have SELinux enforcing (/usr/sbin/getenforce would tell you)? Do you see any SELinux complaints (the yellow star in the status bar)?
Comment 10 Pierre Blavy 2009-11-17 11:27:16 EST
---
Reporter, do you have SELinux enforcing (/usr/sbin/getenforce would tell you)?
---
/usr/sbin/getenforce
Enforcing



---
Do you see any SELinux complaints (the yellow star in the status bar)? 
---
I cannot say if I see anything in the status bar, because an other bug switch off my screen when I close the lid and I do not know how to switch it on again is there any log file I can read?
Comment 11 Pierre Blavy 2009-11-17 11:33:59 EST
I've tryed 
su -
setenforce 0
The bug is fixed.

So that's a Selinux problem. 
I'll switch off selinux as a workaround until fixed. Thank you very much.
Comment 12 Pierre Blavy 2009-11-20 10:41:22 EST
This bug seems to be related to
https://bugzilla.redhat.com/show_bug.cgi?id=506423

I've done a lot of updates yesterday an now the bug is fixed 
even with setenforce 1

Thanks.
Comment 13 Matěj Cepl 2009-11-20 11:39:35 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.